#include <stdbool.h>
/*
 * core.h
 *
 * Created: 13.04.2023 14:23:22
 *  Author: mrnek
 */ 
#define KEYS_AMOUNT 16
#define DEBOUNCE_MS_THRESHOLD 20

struct key {
	char button;
	unsigned long time;
	bool physical;
	bool logical;
	bool on_down;
	bool on_up;
};


void get_physical_keys(struct key *keys);

void get_logical_keys(struct key *undc_keys);

void fill_buttons_names(struct key *buttons);

void get_event(struct key *button, bool *up, bool *down);